<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy NumericData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_numeric_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_numeric_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy NumericData</div></div>
</div><!--header-->
<div class="contents">

<p>Wyświetla dane z czujnika odległości.  
 <a href="class_numeric_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla NumericData</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data__inherit__graph.png" border="0" usemap="#a_numeric_data_inherit__map" alt="Inheritance graph"/></div>
<map name="a_numeric_data_inherit__map" id="a_numeric_data_inherit__map">
<area shape="rect" title="Wyświetla dane z czujnika odległości." alt="" coords="5,79,104,104"/>
<area shape="rect" title=" " alt="" coords="19,5,91,31"/>
<area shape="poly" title=" " alt="" coords="57,44,57,79,52,79,52,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla NumericData:</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data__coll__graph.png" border="0" usemap="#a_numeric_data_coll__map" alt="Collaboration graph"/></div>
<map name="a_numeric_data_coll__map" id="a_numeric_data_coll__map">
<area shape="rect" title="Wyświetla dane z czujnika odległości." alt="" coords="5,79,104,104"/>
<area shape="rect" title=" " alt="" coords="19,5,91,31"/>
<area shape="poly" title=" " alt="" coords="57,44,57,79,52,79,52,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a4867840ac08d28936e2fd457befa723e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e">NumericData</a> (QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:a4867840ac08d28936e2fd457befa723e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a>.  <br /></td></tr>
<tr class="separator:a4867840ac08d28936e2fd457befa723e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b956764140411b9e8249ec9e4bd9b14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">update</a> (unsigned int new_value)</td></tr>
<tr class="memdesc:a4b956764140411b9e8249ec9e4bd9b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje odczyt z czujnika odleŋłości.  <br /></td></tr>
<tr class="separator:a4b956764140411b9e8249ec9e4bd9b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a1288fde6fb7304b3a63f58a8c39cc42a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">setStoredWidget</a> ()</td></tr>
<tr class="memdesc:a1288fde6fb7304b3a63f58a8c39cc42a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:a1288fde6fb7304b3a63f58a8c39cc42a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf52f467e0ea964e76ac7e955f23b2b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">setHLayout</a> ()</td></tr>
<tr class="memdesc:aaf52f467e0ea964e76ac7e955f23b2b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety w poziomie.  <br /></td></tr>
<tr class="separator:aaf52f467e0ea964e76ac7e955f23b2b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a9bbb275971b6c75b1378e48727cca298"><td class="memItemLeft" align="right" valign="top">QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a></td></tr>
<tr class="memdesc:a9bbb275971b6c75b1378e48727cca298"><td class="mdescLeft">&#160;</td><td class="mdescRight">Okienko do wyświetlania sformatowanych danych.  <br /></td></tr>
<tr class="separator:a9bbb275971b6c75b1378e48727cca298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d15a23b479d1943fda2a88954dbb49"><td class="memItemLeft" align="right" valign="top">QHBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">hlayout</a></td></tr>
<tr class="memdesc:af8d15a23b479d1943fda2a88954dbb49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii horyzontalnej.  <br /></td></tr>
<tr class="separator:af8d15a23b479d1943fda2a88954dbb49"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Dziedziczy po klasie QWidget (bez obramowania), aby dane mogły zostać nałożone na inne obiekty (klasa <a class="el" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości.">DistanceWin</a>). Do wyświetlenia odczytów posługuje się obiektem klasy QLineEdit. </p>

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8hpp_source.html#l00026">26</a> pliku <a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a4867840ac08d28936e2fd457befa723e" name="a4867840ac08d28936e2fd457befa723e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4867840ac08d28936e2fd457befa723e">&#9670;&#160;</a></span>NumericData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NumericData::NumericData </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy QWidget przekazując wskaźnik na rodzica. Tworzy obiekt QLineEdit, w którym zapisywane będą odczyty z czujnika z dokładnością do 1 milimetra. Wyołuje metody przygotowywujące przechowywane widgety do prawidłowego wyświetlenia.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_numeric_data_8cpp_source.html">NumericData.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data_a4867840ac08d28936e2fd457befa723e_cgraph.png" border="0" usemap="#aclass_numeric_data_a4867840ac08d28936e2fd457befa723e_cgraph" alt=""/></div>
<map name="aclass_numeric_data_a4867840ac08d28936e2fd457befa723e_cgraph" id="aclass_numeric_data_a4867840ac08d28936e2fd457befa723e_cgraph">
<area shape="rect" title="Inicjalizuje obiekt klasy NumericData." alt="" coords="5,31,185,56"/>
<area shape="rect" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1" title="Ustawia widgety w poziomie." alt="" coords="248,5,419,31"/>
<area shape="poly" title=" " alt="" coords="185,31,234,26,235,31,186,36"/>
<area shape="rect" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a" title="Inicjalizuje widgety pochodne." alt="" coords="233,55,433,80"/>
<area shape="poly" title=" " alt="" coords="186,50,220,53,219,59,185,55"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a1288fde6fb7304b3a63f58a8c39cc42a" name="a1288fde6fb7304b3a63f58a8c39cc42a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1288fde6fb7304b3a63f58a8c39cc42a">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NumericData::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Ustawia odpowiednie parametry klasy QLineEdit, m.in.: maksymalną długość wyświetlanego tekstu, zachowanie się geometrii oraz wpisuje tekst początkowy. </p>

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8cpp_source.html#l00035">35</a> pliku <a class="el" href="_numeric_data_8cpp_source.html">NumericData.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data_a1288fde6fb7304b3a63f58a8c39cc42a_icgraph.png" border="0" usemap="#aclass_numeric_data_a1288fde6fb7304b3a63f58a8c39cc42a_icgraph" alt=""/></div>
<map name="aclass_numeric_data_a1288fde6fb7304b3a63f58a8c39cc42a_icgraph" id="aclass_numeric_data_a1288fde6fb7304b3a63f58a8c39cc42a_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="233,5,433,31"/>
<area shape="rect" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e" title="Inicjalizuje obiekt klasy NumericData." alt="" coords="5,5,185,31"/>
<area shape="poly" title=" " alt="" coords="220,21,185,21,185,15,220,15"/>
</map>
</div>

</div>
</div>
<a id="aaf52f467e0ea964e76ac7e955f23b2b1" name="aaf52f467e0ea964e76ac7e955f23b2b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf52f467e0ea964e76ac7e955f23b2b1">&#9670;&#160;</a></span>setHLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NumericData::setHLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Poddaje obiekt QLineEdit zarządcy horyzontalnemu </p>

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8cpp_source.html#l00053">53</a> pliku <a class="el" href="_numeric_data_8cpp_source.html">NumericData.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data_aaf52f467e0ea964e76ac7e955f23b2b1_icgraph.png" border="0" usemap="#aclass_numeric_data_aaf52f467e0ea964e76ac7e955f23b2b1_icgraph" alt=""/></div>
<map name="aclass_numeric_data_aaf52f467e0ea964e76ac7e955f23b2b1_icgraph" id="aclass_numeric_data_aaf52f467e0ea964e76ac7e955f23b2b1_icgraph">
<area shape="rect" title="Ustawia widgety w poziomie." alt="" coords="233,5,404,31"/>
<area shape="rect" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e" title="Inicjalizuje obiekt klasy NumericData." alt="" coords="5,5,185,31"/>
<area shape="poly" title=" " alt="" coords="220,21,186,21,186,15,220,15"/>
</map>
</div>

</div>
</div>
<a id="a4b956764140411b9e8249ec9e4bd9b14" name="a4b956764140411b9e8249ec9e4bd9b14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b956764140411b9e8249ec9e4bd9b14">&#9670;&#160;</a></span>update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NumericData::update </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>new_value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">new_value</td><td>- nowy odczyt z czujnika otrzymany z portu szeregowego </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8cpp_source.html#l00062">62</a> pliku <a class="el" href="_numeric_data_8cpp_source.html">NumericData.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_numeric_data_a4b956764140411b9e8249ec9e4bd9b14_icgraph.png" border="0" usemap="#aclass_numeric_data_a4b956764140411b9e8249ec9e4bd9b14_icgraph" alt=""/></div>
<map name="aclass_numeric_data_a4b956764140411b9e8249ec9e4bd9b14_icgraph" id="aclass_numeric_data_a4b956764140411b9e8249ec9e4bd9b14_icgraph">
<area shape="rect" title="Aktualizuje odczyt z czujnika odleŋłości." alt="" coords="711,5,853,31"/>
<area shape="rect" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442" title="Aktualizuje odczyty z czujników odległości." alt="" coords="464,5,663,31"/>
<area shape="poly" title=" " alt="" coords="697,21,663,21,663,15,697,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a9bbb275971b6c75b1378e48727cca298" name="a9bbb275971b6c75b1378e48727cca298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bbb275971b6c75b1378e48727cca298">&#9670;&#160;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLineEdit* NumericData::data</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8hpp_source.html#l00032">32</a> pliku <a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>.</p>

</div>
</div>
<a id="af8d15a23b479d1943fda2a88954dbb49" name="af8d15a23b479d1943fda2a88954dbb49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8d15a23b479d1943fda2a88954dbb49">&#9670;&#160;</a></span>hlayout</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QHBoxLayout* NumericData::hlayout</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8hpp_source.html#l00036">36</a> pliku <a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a></li>
<li><a class="el" href="_numeric_data_8cpp_source.html">NumericData.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_numeric_data.html">NumericData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
